Bug 170986 - audio/mpdas: small fix in rc-script
Summary: audio/mpdas: small fix in rc-script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-24 12:10 UTC by gelraen.ua
Modified: 2012-09-28 21:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gelraen.ua 2012-08-24 12:10:29 UTC
http://svnweb.freebsd.org/ports/head/audio/mpdas/files/mpdas.in?revision=300895&view=markup

Please, change
command_args="&"
to
command_args="-d"
which seems to be more apropriate. With current rc-script mpdas floods error messages to terminal from which it was started.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-24 12:10:49 UTC
Maintainer of audio/mpdas,

Please note that PR ports/170986 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170986

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-08-24 12:10:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Henrik Friedrichsen 2012-08-24 13:16:22 UTC
Sounds reasonable! Thanks!

Approved!
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-09-28 21:13:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2012-09-28 21:21:16 UTC
Author: rm
Date: Fri Sep 28 20:21:03 2012
New Revision: 305012
URL: http://svn.freebsd.org/changeset/ports/305012

Log:
  - suppress error output on terminal
  - trim Makefile header while here
  - bump PORTREVISION
  
  PR:		170986
  Submitted by:	Maxim Ignatenko <gelraen.ua at gmail dot com>
  Approved by:	Henrik Friedrichsen <hrkfdn at gmail dot com> (maintainer)

Modified:
  head/audio/mpdas/Makefile
  head/audio/mpdas/files/mpdas.in   (contents, props changed)

Modified: head/audio/mpdas/Makefile
==============================================================================
--- head/audio/mpdas/Makefile	Fri Sep 28 20:12:11 2012	(r305011)
+++ head/audio/mpdas/Makefile	Fri Sep 28 20:21:03 2012	(r305012)
@@ -1,13 +1,9 @@
-# Ports collection makefile for:	mpdas
-# Date created:				Nov 11, 2008
-# Whom:					hrkfrd@googlemail.com
-#
+# Created by: hrkfrd@googlemail.com
 # $FreeBSD$
-#
 
 PORTNAME=	mpdas
 PORTVERSION=	0.3.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://50hz.ws/mpdas/
 

Modified: head/audio/mpdas/files/mpdas.in
==============================================================================
--- head/audio/mpdas/files/mpdas.in	Fri Sep 28 20:12:11 2012	(r305011)
+++ head/audio/mpdas/files/mpdas.in	Fri Sep 28 20:21:03 2012	(r305012)
@@ -20,6 +20,6 @@ load_rc_config $name
 
 : ${mpdas_enable="NO"}
 
-command_args="&"
+command_args="-d"
 
 run_rc_command "$1"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-09-28 21:25:18 UTC
State Changed
From-To: feedback->closed

Committed, thank you!